Page MenuHomePhabricator

Convert block image to inline image while in table cell causes it to move to the next cell
Closed, ResolvedPublic1 Estimate Story Points

Description

Steps to Reproduce:

  1. Open a table with pictures in the cells in VisualEditor (https://office.wikimedia.org/w/index.php?title=Pet_guidelines&oldid=164451)
  2. Select a picture (Kona, in the first column)
  3. Change the picture to frameless
  4. Save

Actual Results
Picture is frameless, but in the second column

Expected Results
Picture is frameless, still in its original column.

https://office.wikimedia.org/w/index.php?title=Pet_guidelines&type=revision&diff=164453&oldid=164451

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterCreate wrapper paragraph when converting block image to inline

Event Timeline

JAufrecht raised the priority of this task from to Needs Triage.
JAufrecht updated the task description. (Show Details)
JAufrecht added a project: VisualEditor.
JAufrecht added a subscriber: JAufrecht.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 14 2015, 9:08 PM
Jdforrester-WMF triaged this task as Medium priority.Dec 15 2015, 8:06 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Esanders renamed this task from Editing picture in table moves the picture to a different column to Convert block image to inline image while in table cell causes it to move to the next cell.Jan 19 2016, 4:13 PM
Esanders edited a custom field.

This is because when converting block to inline images we move them to the nearest paragraph, which in this case is in the next table cell.

We could instead wrap them in their own paragraph. CC'ing @Mooeypoo who wrote this logic originally in case she has any insights.

Change 373557 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Create wrapper paragraph when converting block image to inline

https://gerrit.wikimedia.org/r/373557

Change 373557 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Create wrapper paragraph when converting block image to inline

https://gerrit.wikimedia.org/r/373557

Deskana closed this task as Resolved.Aug 24 2017, 11:04 PM
Deskana assigned this task to Esanders.
Deskana changed the point value for this task from 8 to 1.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 24 2017, 11:04 PM
Ryasmeen edited projects, added Verified; removed Patch-For-Review.Sep 1 2017, 12:47 AM

The original issue here is fixed, however, changing the picture to frameless causes the page to scroll to the top abruptly and then down again.